# Directory containing class headers.
SET(VTK_PVSERVERMANAGER_HEADER_DIR "${VTK_INSTALL_PREFIX}/include/paraview")

# Classes in vtkPVServerManager.
SET(VTK_PVSERVERMANAGER_CLASSES
  "vtkInitializationHelper"
  "vtkPVComparativeAnimationCue"
  "vtkPVComparativeView"
  "vtkPVKeyFrameAnimationCueForProxies"
  "vtkPVRepresentationAnimationHelper"
  "vtkSMAnimationScene"
  "vtkSMAnimationSceneGeometryWriter"
  "vtkSMAnimationSceneImageWriter"
  "vtkSMAnimationSceneProxy"
  "vtkSMAnimationSceneWriter"
  "vtkSMArrayListDomain"
  "vtkSMArrayRangeDomain"
  "vtkSMArraySelectionDomain"
  "vtkSMBooleanDomain"
  "vtkSMBoundsDomain"
  "vtkSMBoxRepresentationProxy"
  "vtkSMCacheBasedProxyLocator"
  "vtkSMCameraConfigurationReader"
  "vtkSMCameraConfigurationWriter"
  "vtkSMCameraLink"
  "vtkSMCameraProxy"
  "vtkSMChartRepresentationProxy"
  "vtkSMComparativeAnimationCueProxy"
  "vtkSMComparativeAnimationCueUndoElement"
  "vtkSMComparativeViewProxy"
  "vtkSMCompositeTreeDomain"
  "vtkSMCompoundProxyDefinitionLoader"
  "vtkSMCompoundSourceProxy"
  "vtkSMCompoundSourceProxyDefinitionBuilder"
  "vtkSMContextNamedOptionsProxy"
  "vtkSMContextViewProxy"
  "vtkSMCSVExporterProxy"
  "vtkSMDataTypeDomain"
  "vtkSMDeserializer"
  "vtkSMDimensionsDomain"
  "vtkSMDirectoryProxy"
  "vtkSMDocumentation"
  "vtkSMDomain"
  "vtkSMDomainIterator"
  "vtkSMDoubleRangeDomain"
  "vtkSMDoubleVectorProperty"
  "vtkSMEnumerationDomain"
  "vtkSMExporterProxy"
  "vtkSMExtentDomain"
  "vtkSMFieldDataDomain"
  "vtkSMFileListDomain"
  "vtkSMFixedTypeDomain"
  "vtkSMGlobalPropertiesLinkUndoElement"
  "vtkSMGlobalPropertiesManager"
  "vtkSMIdTypeVectorProperty"
  "vtkSMImplicitPlaneRepresentationProxy"
  "vtkSMInputArrayDomain"
  "vtkSMInputProperty"
  "vtkSMInteractionUndoStackBuilder"
  "vtkSMIntRangeDomain"
  "vtkSMIntVectorProperty"
  "vtkSMLink"
  "vtkSMNamedPropertyIterator"
  "vtkSMNewWidgetRepresentationProxy"
  "vtkSMNullProxy"
  "vtkSMNumberOfComponentsDomain"
  "vtkSMNumberOfGroupsDomain"
  "vtkSMObject"
  "vtkSMOrderedPropertyIterator"
  "vtkSMOutputPort"
  "vtkSMParallelCoordinatesRepresentationProxy"
  "vtkSMPipelineState"
  "vtkSMPluginLoaderProxy"
  "vtkSMPluginManager"
  "vtkSMProperty"
  "vtkSMPropertyAdaptor"
  "vtkSMPropertyHelper"
  "vtkSMPropertyIterator"
  "vtkSMPropertyLink"
  "vtkSMPropertyModificationUndoElement"
  "vtkSMProxy"
  "vtkSMProxyConfigurationReader"
  "vtkSMProxyConfigurationWriter"
  "vtkSMProxyDefinitionManager"
  "vtkSMProxyGroupDomain"
  "vtkSMProxyIterator"
  "vtkSMProxyLink"
  "vtkSMProxyListDomain"
  "vtkSMProxyLocator"
  "vtkSMProxyManager"
  "vtkSMProxyProperty"
  "vtkSMProxySelectionModel"
  "vtkSMPSWriterProxy"
  "vtkSMPVRepresentationProxy"
  "vtkSMPWriterProxy"
  "vtkSMPythonTraceObserver"
  "vtkSMReaderFactory"
  "vtkSMRemoteObject"
  "vtkSMRemoteObjectUpdateUndoElement"
  "vtkSMRenderViewExporterProxy"
  "vtkSMRenderViewProxy"
  "vtkSMRepresentationProxy"
  "vtkSMScalarBarWidgetRepresentationProxy"
  "vtkSMSelectionHelper"
  "vtkSMSession"
  "vtkSMSessionClient"
  "vtkSMSILDomain"
  "vtkSMSILModel"
  "vtkSMSourceProxy"
  "vtkSMSpreadSheetRepresentationProxy"
  "vtkSMStateLoader"
  "vtkSMStateLocator"
  "vtkSMStateVersionController"
  "vtkSMStateVersionControllerBase"
  "vtkSMStringListDomain"
  "vtkSMStringListRangeDomain"
  "vtkSMStringVectorProperty"
  "vtkSMTesting"
  "vtkSMTextWidgetRepresentationProxy"
  "vtkSMTimeKeeper"
  "vtkSMTimeKeeperProxy"
  "vtkSMTwoDRenderViewProxy"
  "vtkSMUndoElement"
  "vtkSMUndoStack"
  "vtkSMUndoStackBuilder"
  "vtkSMUtilities"
  "vtkSMVectorProperty"
  "vtkSMViewProxy"
  "vtkSMWidgetRepresentationProxy"
  "vtkSMWriterFactory"
  "vtkSMWriterProxy")

# Abstract classes in vtkPVServerManager.
SET(VTK_PVSERVERMANAGER_CLASSES_ABSTRACT
  "vtkInitializationHelper"
  "vtkSMAnimationSceneWriter"
  "vtkSMDomain"
  "vtkSMExporterProxy"
  "vtkSMLink"
  "vtkSMPropertyHelper"
  "vtkSMRemoteObject"
  "vtkSMSession"
  "vtkSMStateVersionControllerBase"
  "vtkSMUndoElement"
  "vtkSMVectorProperty")

# Wrap-exclude classes in vtkPVServerManager.
SET(VTK_PVSERVERMANAGER_CLASSES_WRAP_EXCLUDE
  "vtkSMPropertyHelper")

# Wrap-special classes in vtkPVServerManager.
SET(VTK_PVSERVERMANAGER_CLASSES_WRAP_SPECIAL)

# Wrappable non-class headers for vtkPVServerManager.
SET(VTK_PVSERVERMANAGER_WRAP_HEADERS)

# Set convenient variables to test each class.
FOREACH(class ${VTK_PVSERVERMANAGER_CLASSES})
  SET(VTK_CLASS_EXISTS_${class} 1)
ENDFOREACH(class)
FOREACH(class ${VTK_PVSERVERMANAGER_CLASSES_ABSTRACT})
  SET(VTK_CLASS_ABSTRACT_${class} 1)
ENDFOREACH(class)
FOREACH(class ${VTK_PVSERVERMANAGER_CLASSES_WRAP_EXCLUDE})
  SET(VTK_CLASS_WRAP_EXCLUDE_${class} 1)
ENDFOREACH(class)
FOREACH(class ${VTK_PVSERVERMANAGER_CLASSES_WRAP_SPECIAL})
  SET(VTK_CLASS_WRAP_SPECIAL_${class} 1)
ENDFOREACH(class)
